Index: dlls/kernel/kernel32.spec
===================================================================
RCS file: /home/wine/wine/dlls/kernel/kernel32.spec,v
retrieving revision 1.62
diff -u -r1.62 kernel32.spec
--- dlls/kernel/kernel32.spec	24 Sep 2002 03:09:50 -0000	1.62
+++ dlls/kernel/kernel32.spec	7 Oct 2002 15:54:55 -0000
@@ -439,6 +439,7 @@
 @ stdcall GetStringTypeW(long wstr long ptr) GetStringTypeW
 @ stdcall GetSystemDefaultLCID() GetSystemDefaultLCID
 @ stdcall GetSystemDefaultLangID() GetSystemDefaultLangID
+@ stdcall GetSystemDefaultUILanguage() GetSystemDefaultUILanguage
 @ stdcall GetSystemDirectoryA(ptr long) GetSystemDirectoryA
 @ stdcall GetSystemDirectoryW(ptr long) GetSystemDirectoryW
 @ stdcall GetSystemInfo(ptr) GetSystemInfo
@@ -464,6 +465,7 @@
 @ stdcall GetTimeZoneInformation(ptr) GetTimeZoneInformation
 @ stdcall GetUserDefaultLCID() GetUserDefaultLCID
 @ stdcall GetUserDefaultLangID() GetUserDefaultLangID
+@ stdcall GetUserDefaultUILanguage() GetUserDefaultUILanguage
 @ stdcall GetVersion() GetVersion
 @ stdcall GetVersionExA(ptr) GetVersionExA
 @ stdcall GetVersionExW(ptr) GetVersionExW
Index: include/winnls.h
===================================================================
RCS file: /home/wine/wine/include/winnls.h,v
retrieving revision 1.35
diff -u -r1.35 winnls.h
--- include/winnls.h	15 Aug 2002 23:18:47 -0000	1.35
+++ include/winnls.h	7 Oct 2002 15:55:01 -0000
@@ -516,12 +516,14 @@
 #define     GetStringTypeEx WINELIB_NAME_AW(GetStringTypeEx)
 LANGID      WINAPI GetSystemDefaultLangID(void);
 LCID        WINAPI GetSystemDefaultLCID(void);
+LANGID      WINAPI GetSystemDefaultUILanguage(void);
 LCID        WINAPI GetThreadLocale(void);
 INT         WINAPI GetTimeFormatA(LCID,DWORD,const SYSTEMTIME*,LPCSTR,LPSTR,INT);
 INT         WINAPI GetTimeFormatW(LCID,DWORD,const SYSTEMTIME*,LPCWSTR,LPWSTR,INT);
 #define     GetTimeFormat WINELIB_NAME_AW(GetTimeFormat)
 LANGID      WINAPI GetUserDefaultLangID(void);
 LCID        WINAPI GetUserDefaultLCID(void);
+LANGID      WINAPI GetUserDefaultUILanguage(void);
 BOOL        WINAPI IsDBCSLeadByte(BYTE);
 BOOL        WINAPI IsDBCSLeadByteEx(UINT,BYTE);
 BOOL        WINAPI IsValidCodePage(UINT);
Index: memory/codepage.c
===================================================================
RCS file: /home/wine/wine/memory/codepage.c,v
retrieving revision 1.17
diff -u -r1.17 codepage.c
--- memory/codepage.c	4 Oct 2002 17:42:27 -0000	1.17
+++ memory/codepage.c	7 Oct 2002 15:55:01 -0000
@@ -175,6 +175,23 @@
     return GetUserDefaultLCID();
 }
 
+/***********************************************************************
+ *		GetUserDefaultUILanguage (KERNEL32.@)
+ */
+LANGID WINAPI GetUserDefaultUILanguage(void)
+{
+    FIXME("Should look up actual default UI language\n");
+    return default_lcid;
+}
+
+/***********************************************************************
+ *		GetSystemDefaultUILanguage (KERNEL32.@)
+ */
+LANGID WINAPI GetSystemDefaultUILanguage(void)
+{
+    FIXME("Should look up actual default UI language\n");
+    return default_lcid;
+}
 
 /***********************************************************************
  *           IsDBCSLeadByteEx   (KERNEL32.@)

